curl --request POST \
--url https://services.leadconnectorhq.com/contacts/bulk/tags/update/{type} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"contacts": [
"qFSqySFkVvNzOSqgGqFi",
"abcdef",
"qFSqySFkVvNzOSqgGqFi",
"3ualbhnV7j3n3a9r2moD"
],
"tags": [
"tag-1",
"tag-2"
],
"locationId": "asdrwHvLUxlfw5SqKVCN",
"removeAllTags": "false"
}
'{
"succeded": true,
"errorCount": 0,
"responses": [
{
"contactId": "qFSqySFkVvNzOSqgGqFi",
"message": "Tags updated",
"type": "success",
"oldTags": [
"tag-1",
"tag-2"
],
"tagsAdded": [],
"tagsRemoved": []
},
{
"contactId": "abcdef",
"message": "contact id is not a valid firebase id",
"type": "error"
},
{
"contactId": "qFSqySFkVvNzOSqgGqFi",
"message": "contact is deleted",
"type": "error"
},
{
"contactId": "3ualbhnV7j3n3a9r2moD",
"message": "contact does not belong to location",
"type": "error"
}
]
}Allows you to update tags to multiple contacts at once, you can add or remove tags from the contacts
curl --request POST \
--url https://services.leadconnectorhq.com/contacts/bulk/tags/update/{type} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"contacts": [
"qFSqySFkVvNzOSqgGqFi",
"abcdef",
"qFSqySFkVvNzOSqgGqFi",
"3ualbhnV7j3n3a9r2moD"
],
"tags": [
"tag-1",
"tag-2"
],
"locationId": "asdrwHvLUxlfw5SqKVCN",
"removeAllTags": "false"
}
'{
"succeded": true,
"errorCount": 0,
"responses": [
{
"contactId": "qFSqySFkVvNzOSqgGqFi",
"message": "Tags updated",
"type": "success",
"oldTags": [
"tag-1",
"tag-2"
],
"tagsAdded": [],
"tagsRemoved": []
},
{
"contactId": "abcdef",
"message": "contact id is not a valid firebase id",
"type": "error"
},
{
"contactId": "qFSqySFkVvNzOSqgGqFi",
"message": "contact is deleted",
"type": "error"
},
{
"contactId": "3ualbhnV7j3n3a9r2moD",
"message": "contact does not belong to location",
"type": "error"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
API Version
2021-07-28 list of contact ids to be processed
[
"qFSqySFkVvNzOSqgGqFi",
"abcdef",
"qFSqySFkVvNzOSqgGqFi",
"3ualbhnV7j3n3a9r2moD"
]list of tags to be added or removed
["tag-1", "tag-2"]location id from where the bulk request is executed
"asdrwHvLUxlfw5SqKVCN"
Option to implement remove all tags. if true, all tags will be removed from the contacts. Can only be used with remove type.
"false"
Successful response
Indicates if the operation was successful
true
Number of errors encountered during the operation
0
Responses for each contact processed
[
{
"contactId": "qFSqySFkVvNzOSqgGqFi",
"message": "Tags updated",
"type": "success",
"oldTags": ["tag-1", "tag-2"],
"tagsAdded": [],
"tagsRemoved": []
},
{
"contactId": "abcdef",
"message": "contact id is not a valid firebase id",
"type": "error"
},
{
"contactId": "qFSqySFkVvNzOSqgGqFi",
"message": "contact is deleted",
"type": "error"
},
{
"contactId": "3ualbhnV7j3n3a9r2moD",
"message": "contact does not belong to location",
"type": "error"
}
]Was this page helpful?